variable "vcenter_server" {}
variable "vsphere_username" {}
variable "vsphere_password" {}

variable "vsphere_host" {}
variable "vsphere_hostip" {}
variable "vsphere_datacenter" {}

variable "vsphere_templatefolder" {}
variable "vsphere_folder" {}
variable "vsphere_datastore" {}
variable "vsphere_network" {}

variable "vm_name" {}
variable "vm_guestos" {}
variable "winrm_password" {}

variable "iso_url" {}
variable "iso_checksum" {}
variable "iso_paths" {}
variable "repo_username" {}
variable "repo_password" {}

local "iso_authenticatedurl" {
    expression = "https://${var.repo_username}:${var.repo_password}@${var.iso_url}"
    sensitive  = true
}